package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class searchb extends Activity implements B4AActivity{
	public static searchb mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.searchb");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (searchb).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.searchb");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.searchb", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (searchb) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (searchb) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return searchb.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (searchb) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (searchb) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.AutoCompleteEditTextWrapper _txtsearch = null;
public anywheresoftware.b4a.objects.ListViewWrapper _listview1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtpop = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtdengue = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtmalaria = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtmeasles = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnupdate = null;
public b4a.example.main _main = null;
public b4a.example.viewmap _viewmap = null;
public b4a.example.book _book = null;
public b4a.example.intro _intro = null;
public b4a.example.viewflood _viewflood = null;
public b4a.example.bflood _bflood = null;
public b4a.example.geolocation _geolocation = null;
public b4a.example.vbar _vbar = null;
public b4a.example.viewurban1 _viewurban1 = null;
public b4a.example.viewurban2 _viewurban2 = null;
public b4a.example.burban1 _burban1 = null;
public b4a.example.burban2 _burban2 = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 27;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 29;BA.debugLine="Activity.LoadLayout(\"searchMap\")";
mostCurrent._activity.LoadLayout("searchMap",mostCurrent.activityBA);
 //BA.debugLineNum = 30;BA.debugLine="DBload";
_dbload();
 //BA.debugLineNum = 31;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 37;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 39;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 33;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 35;BA.debugLine="End Sub";
return "";
}
public static String  _btndisplay_click() throws Exception{
 //BA.debugLineNum = 72;BA.debugLine="Sub btnDisplay_Click";
 //BA.debugLineNum = 73;BA.debugLine="Main.clicksound.play";
mostCurrent._main._clicksound.Play();
 //BA.debugLineNum = 75;BA.debugLine="DBload";
_dbload();
 //BA.debugLineNum = 76;BA.debugLine="End Sub";
return "";
}
public static String  _btnupdate_click() throws Exception{
int _newid = 0;
 //BA.debugLineNum = 119;BA.debugLine="Sub btnUpdate_Click";
 //BA.debugLineNum = 120;BA.debugLine="Main.clicksound.play";
mostCurrent._main._clicksound.Play();
 //BA.debugLineNum = 122;BA.debugLine="If txtSearch.Text = \"\" OR txtname.Text = \"\" OR tx";
if ((mostCurrent._txtsearch.getText()).equals("") || (mostCurrent._txtname.getText()).equals("") || (mostCurrent._txtpop.getText()).equals("") || (mostCurrent._txtmalaria.getText()).equals("") || (mostCurrent._txtmeasles.getText()).equals("") || (mostCurrent._txtdengue.getText()).equals("")) { 
 //BA.debugLineNum = 123;BA.debugLine="Main.TTS.Speak(\"You have to enter all fields!\",";
mostCurrent._main._tts.Speak("You have to enter all fields!",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 124;BA.debugLine="Msgbox(\"You have to enter all fields\",\"Missed da";
anywheresoftware.b4a.keywords.Common.Msgbox("You have to enter all fields","Missed data field",mostCurrent.activityBA);
 }else {
 //BA.debugLineNum = 126;BA.debugLine="Dim NewID As Int";
_newid = 0;
 //BA.debugLineNum = 127;BA.debugLine="Main.sql1.BeginTransaction";
mostCurrent._main._sql1.BeginTransaction();
 //BA.debugLineNum = 128;BA.debugLine="Try";
try { //BA.debugLineNum = 129;BA.debugLine="NewID = Main.cursor1.GetInt(\"ID\")";
_newid = mostCurrent._main._cursor1.GetInt("ID");
 //BA.debugLineNum = 131;BA.debugLine="Main.sql1.ExecNonQuery(\"UPDATE tblBarangay set bN";
mostCurrent._main._sql1.ExecNonQuery("UPDATE tblBarangay set bName = '"+mostCurrent._txtname.getText()+"', bPopulation ='"+mostCurrent._txtpop.getText()+"', bDengue ='"+mostCurrent._txtdengue.getText()+"', bMalaria ='"+mostCurrent._txtmalaria.getText()+"', bMeasles ='"+mostCurrent._txtmeasles.getText()+"' WHERE ID = "+BA.NumberToString(_newid));
 //BA.debugLineNum = 133;BA.debugLine="Main.TTS.speak(\"Successfully updated!\", True)";
mostCurrent._main._tts.Speak("Successfully updated!",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 134;BA.debugLine="Msgbox (\"Successfully updated!\", \"Updated Record\"";
anywheresoftware.b4a.keywords.Common.Msgbox("Successfully updated!","Updated Record",mostCurrent.activityBA);
 //BA.debugLineNum = 135;BA.debugLine="Main.sql1.TransactionSuccessful";
mostCurrent._main._sql1.TransactionSuccessful();
 } 
       catch (Exception e88) {
			processBA.setLastException(e88); //BA.debugLineNum = 137;BA.debugLine="Msgbox (LastException.Message,\"\")";
anywheresoftware.b4a.keywords.Common.Msgbox(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA).getMessage(),"",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 139;BA.debugLine="Main.sql1.EndTransaction";
mostCurrent._main._sql1.EndTransaction();
 //BA.debugLineNum = 140;BA.debugLine="DBload";
_dbload();
 //BA.debugLineNum = 141;BA.debugLine="txtname.Text = \"\"";
mostCurrent._txtname.setText((Object)(""));
 //BA.debugLineNum = 142;BA.debugLine="txtMalaria.Text = \"\"";
mostCurrent._txtmalaria.setText((Object)(""));
 //BA.debugLineNum = 143;BA.debugLine="txtPop.Text = \"\"";
mostCurrent._txtpop.setText((Object)(""));
 //BA.debugLineNum = 144;BA.debugLine="txtDengue.Text = \"\"";
mostCurrent._txtdengue.setText((Object)(""));
 //BA.debugLineNum = 145;BA.debugLine="txtMeasles.Text = \"\"";
mostCurrent._txtmeasles.setText((Object)(""));
 };
 //BA.debugLineNum = 149;BA.debugLine="End Sub";
return "";
}
public static String  _dbload() throws Exception{
int _i = 0;
 //BA.debugLineNum = 100;BA.debugLine="Sub DBload";
 //BA.debugLineNum = 103;BA.debugLine="ListView1.Clear'need to clear the list";
mostCurrent._listview1.Clear();
 //BA.debugLineNum = 104;BA.debugLine="Main.cursor1 = Main.sql1.ExecQuery(\"SELECT * FROM";
mostCurrent._main._cursor1.setObject((android.database.Cursor)(mostCurrent._main._sql1.ExecQuery("SELECT * FROM tblBarangay")));
 //BA.debugLineNum = 105;BA.debugLine="For i = 0 To Main.cursor1.RowCount - 1";
{
final int step64 = 1;
final int limit64 = (int) (mostCurrent._main._cursor1.getRowCount()-1);
for (_i = (int) (0); (step64 > 0 && _i <= limit64) || (step64 < 0 && _i >= limit64); _i = ((int)(0 + _i + step64))) {
 //BA.debugLineNum = 106;BA.debugLine="Main.cursor1.Position = i";
mostCurrent._main._cursor1.setPosition(_i);
 //BA.debugLineNum = 107;BA.debugLine="ListView1.AddTwoLines(Main.cursor1.getString(\"ID\")";
mostCurrent._listview1.AddTwoLines(mostCurrent._main._cursor1.GetString("ID")+"-"+"Brgy. Name: "+mostCurrent._main._cursor1.GetString("bName")+" "+"Population: "+mostCurrent._main._cursor1.GetString("bPopulation"),"Dengue: "+mostCurrent._main._cursor1.GetString("bDengue")+" "+"Malaria: "+mostCurrent._main._cursor1.GetString("bMalaria")+" "+"Measles: "+mostCurrent._main._cursor1.GetString("bMeasles"));
 //BA.debugLineNum = 109;BA.debugLine="ListView1.TwoLinesLayout.Label.TextColor = Colors.";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 //BA.debugLineNum = 110;BA.debugLine="ListView1.TwoLinesLayout.Label.TextSize = 16";
mostCurrent._listview1.getTwoLinesLayout().Label.setTextSize((float) (16));
 //BA.debugLineNum = 111;BA.debugLine="ListView1.TwoLinesLayout.SecondLabel.TextColor =";
mostCurrent._listview1.getTwoLinesLayout().SecondLabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Blue);
 //BA.debugLineNum = 114;BA.debugLine="ListView1.TwoLinesLayout.SecondLabel.TextSize =";
mostCurrent._listview1.getTwoLinesLayout().SecondLabel.setTextSize((float) (14));
 }
};
 //BA.debugLineNum = 117;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 17;BA.debugLine="Private txtSearch As AutoCompleteEditText";
mostCurrent._txtsearch = new anywheresoftware.b4a.objects.AutoCompleteEditTextWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Private ListView1 As ListView";
mostCurrent._listview1 = new anywheresoftware.b4a.objects.ListViewWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private txtname As EditText";
mostCurrent._txtname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private txtPop As EditText";
mostCurrent._txtpop = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Private txtDengue As EditText";
mostCurrent._txtdengue = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private txtMalaria As EditText";
mostCurrent._txtmalaria = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Private txtMeasles As EditText";
mostCurrent._txtmeasles = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Private btnUpdate As Button";
mostCurrent._btnupdate = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 25;BA.debugLine="End Sub";
return "";
}
public static String  _listview1_itemclick(int _position,Object _value) throws Exception{
String _idvalue = "";
int _countit = 0;
String _id = "";
int _i = 0;
 //BA.debugLineNum = 79;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As";
 //BA.debugLineNum = 80;BA.debugLine="Dim idvalue As String";
_idvalue = "";
 //BA.debugLineNum = 81;BA.debugLine="Dim countIt As Int";
_countit = 0;
 //BA.debugLineNum = 82;BA.debugLine="Dim ID As String";
_id = "";
 //BA.debugLineNum = 83;BA.debugLine="idvalue = Value";
_idvalue = BA.ObjectToString(_value);
 //BA.debugLineNum = 84;BA.debugLine="countIt = idvalue.IndexOf(\"-\") 'find location of s";
_countit = _idvalue.indexOf("-");
 //BA.debugLineNum = 85;BA.debugLine="idvalue = idvalue.SubString2(0,countIt) 'find firs";
_idvalue = _idvalue.substring((int) (0),_countit);
 //BA.debugLineNum = 86;BA.debugLine="ID = idvalue";
_id = _idvalue;
 //BA.debugLineNum = 87;BA.debugLine="Main.cursor1 = Main.sql1.ExecQuery(\"SELECT * FROM";
mostCurrent._main._cursor1.setObject((android.database.Cursor)(mostCurrent._main._sql1.ExecQuery("SELECT * FROM tblBarangay where ID = '"+_id+"' ")));
 //BA.debugLineNum = 88;BA.debugLine="For i = 0 To Main.cursor1.RowCount - 1";
{
final int step52 = 1;
final int limit52 = (int) (mostCurrent._main._cursor1.getRowCount()-1);
for (_i = (int) (0); (step52 > 0 && _i <= limit52) || (step52 < 0 && _i >= limit52); _i = ((int)(0 + _i + step52))) {
 //BA.debugLineNum = 89;BA.debugLine="Main.cursor1.Position = i";
mostCurrent._main._cursor1.setPosition(_i);
 //BA.debugLineNum = 90;BA.debugLine="txtname.text=Main.cursor1.getString(\"bName\")";
mostCurrent._txtname.setText((Object)(mostCurrent._main._cursor1.GetString("bName")));
 //BA.debugLineNum = 91;BA.debugLine="txtPop.text=Main.cursor1.getString(\"bPopulation\")";
mostCurrent._txtpop.setText((Object)(mostCurrent._main._cursor1.GetString("bPopulation")));
 //BA.debugLineNum = 92;BA.debugLine="txtDengue.text=Main.cursor1.getString(\"bDengue\")";
mostCurrent._txtdengue.setText((Object)(mostCurrent._main._cursor1.GetString("bDengue")));
 //BA.debugLineNum = 93;BA.debugLine="txtMalaria.text=Main.cursor1.getString(\"bMalaria\"";
mostCurrent._txtmalaria.setText((Object)(mostCurrent._main._cursor1.GetString("bMalaria")));
 //BA.debugLineNum = 94;BA.debugLine="txtMeasles.text=Main.cursor1.getString(\"bMeasles\"";
mostCurrent._txtmeasles.setText((Object)(mostCurrent._main._cursor1.GetString("bMeasles")));
 }
};
 //BA.debugLineNum = 98;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return "";
}
public static String  _txtsearch_itemclick(String _value) throws Exception{
 //BA.debugLineNum = 44;BA.debugLine="Sub txtSearch_ItemClick (Value As String)";
 //BA.debugLineNum = 51;BA.debugLine="txtname.Text = Main.cursor1.GetString(\"bName\")";
mostCurrent._txtname.setText((Object)(mostCurrent._main._cursor1.GetString("bName")));
 //BA.debugLineNum = 52;BA.debugLine="txtMalaria.Text = Main.cursor1.GetString(\"bMalari";
mostCurrent._txtmalaria.setText((Object)(mostCurrent._main._cursor1.GetString("bMalaria")));
 //BA.debugLineNum = 53;BA.debugLine="txtPop.Text = Main.cursor1.GetString(\"bPopulation";
mostCurrent._txtpop.setText((Object)(mostCurrent._main._cursor1.GetString("bPopulation")));
 //BA.debugLineNum = 54;BA.debugLine="txtDengue.Text = Main.cursor1.GetString(\"bDengue\"";
mostCurrent._txtdengue.setText((Object)(mostCurrent._main._cursor1.GetString("bDengue")));
 //BA.debugLineNum = 55;BA.debugLine="txtMeasles.Text = Main.cursor1.GetString(\"bMeasle";
mostCurrent._txtmeasles.setText((Object)(mostCurrent._main._cursor1.GetString("bMeasles")));
 //BA.debugLineNum = 58;BA.debugLine="End Sub";
return "";
}
public static String  _txtsearch_textchanged(String _old,String _new) throws Exception{
 //BA.debugLineNum = 41;BA.debugLine="Sub txtSearch_TextChanged (Old As String, New As S";
 //BA.debugLineNum = 42;BA.debugLine="viewdb(txtSearch.Text)";
_viewdb(mostCurrent._txtsearch.getText());
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return "";
}
public static String  _viewdb(String _psearch) throws Exception{
int _i = 0;
String[] _nomi = null;
 //BA.debugLineNum = 60;BA.debugLine="Sub viewdb( psearch As String)";
 //BA.debugLineNum = 62;BA.debugLine="Main.cursor1 = Main.sql1.ExecQuery(\"Select * from";
mostCurrent._main._cursor1.setObject((android.database.Cursor)(mostCurrent._main._sql1.ExecQuery("Select * from tblBarangay WHERE bName like '"+_psearch+"%'")));
 //BA.debugLineNum = 63;BA.debugLine="For i = 0 To Main.cursor1.RowCount - 1";
{
final int step32 = 1;
final int limit32 = (int) (mostCurrent._main._cursor1.getRowCount()-1);
for (_i = (int) (0); (step32 > 0 && _i <= limit32) || (step32 < 0 && _i >= limit32); _i = ((int)(0 + _i + step32))) {
 //BA.debugLineNum = 64;BA.debugLine="Main.cursor1.Position = i";
mostCurrent._main._cursor1.setPosition(_i);
 //BA.debugLineNum = 65;BA.debugLine="Dim nomi() As String";
_nomi = new String[(int) (0)];
java.util.Arrays.fill(_nomi,"");
 //BA.debugLineNum = 67;BA.debugLine="nomi = Array As String(Main.cursor1.GetString(\"bN";
_nomi = new String[]{mostCurrent._main._cursor1.GetString("bName")};
 //BA.debugLineNum = 68;BA.debugLine="txtSearch.SetItems(nomi)";
mostCurrent._txtsearch.SetItems(processBA,anywheresoftware.b4a.keywords.Common.ArrayToList(_nomi));
 }
};
 //BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
}
